--- old/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:17.028405761 -0400
+++ new/usr/src/uts/common/vm/seg_kmem.c	2015-05-08 18:04:17.035994406 -0400
@@ -428,14 +428,6 @@
 	return (addr);
 }
 
-static void
-segkmem_badop()
-{
-	panic("segkmem_badop");
-}
-
-#define	SEGKMEM_BADOP(t)	(t(*)())segkmem_badop
-
 /*ARGSUSED*/
 static faultcode_t
 segkmem_fault(struct hat *hat, struct seg *seg, caddr_t addr, size_t size,
@@ -539,7 +531,7 @@
 	ASSERT(RW_LOCK_HELD(&seg->s_as->a_lock));
 
 	if (seg->s_as != &kas)
-		segkmem_badop();
+		panic("segkmem badop");
 
 	/*
 	 * If it is one of segkp pages, call into segkp.
@@ -548,7 +540,7 @@
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
 		return (segop_checkprot(segkp, addr, size, prot));
 
-	segkmem_badop();
+	panic("segkmem badop");
 	return (0);
 }
 
@@ -563,7 +555,7 @@
 	ASSERT(RW_LOCK_HELD(&seg->s_as->a_lock));
 
 	if (seg->s_as != &kas)
-		segkmem_badop();
+		panic("segkmem badop");
 
 	/*
 	 * If it is one of segkp pages, call into segkp.
@@ -572,7 +564,7 @@
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
 		return (segop_kluster(segkp, addr, delta));
 
-	segkmem_badop();
+	panic("segkmem badop");
 	return (0);
 }
 
@@ -744,7 +736,7 @@
 	ASSERT(RW_LOCK_HELD(&seg->s_as->a_lock));
 
 	if (seg->s_as != &kas)
-		segkmem_badop();
+		panic("segkmem badop");
 
 	/*
 	 * If it is one of segkp pages, call into segkp.
@@ -753,7 +745,7 @@
 	    BT_TEST(segkp_bitmap, btop((uintptr_t)(addr - seg->s_base))))
 		return (segop_getmemid(segkp, addr, memidp));
 
-	segkmem_badop();
+	panic("segkmem badop");
 	return (0);
 }
 
@@ -774,25 +766,12 @@
 }
 
 static struct seg_ops segkmem_ops = {
-	.dup		= SEGKMEM_BADOP(int),
-	.unmap		= SEGKMEM_BADOP(int),
-	.free		= SEGKMEM_BADOP(void),
 	.fault		= segkmem_fault,
-	.faulta		= SEGKMEM_BADOP(faultcode_t),
 	.setprot	= segkmem_setprot,
 	.checkprot	= segkmem_checkprot,
 	.kluster	= segkmem_kluster,
-	.sync		= SEGKMEM_BADOP(int),
-	.incore		= SEGKMEM_BADOP(size_t),
-	.lockop		= SEGKMEM_BADOP(int),
-	.getprot	= SEGKMEM_BADOP(int),
-	.getoffset	= SEGKMEM_BADOP(u_offset_t),
-	.gettype	= SEGKMEM_BADOP(int),
-	.getvp		= SEGKMEM_BADOP(int),
-	.advise		= SEGKMEM_BADOP(int),
 	.dump		= segkmem_dump,
 	.pagelock	= segkmem_pagelock,
-	.setpagesize	= SEGKMEM_BADOP(int),
 	.getmemid	= segkmem_getmemid,
 	.getpolicy	= segkmem_getpolicy,
 	.capable	= segkmem_capable,
